import type { _INIntentResolutionResult } from "./INIntentResolutionResult.js";
export declare class _INTimeIntervalResolutionResult extends _INIntentResolutionResult {
    static alloc(): _INTimeIntervalResolutionResult;
    static new(): _INTimeIntervalResolutionResult;
    init(): _INTimeIntervalResolutionResult;
    /**
     * This resolution result is for when the app extension wants to tell Siri to proceed with a given value. The resolvedValue need not be identical to the input value. If the app extension wants to continue with a 'nil' value, it must use +notRequired.
     */
    static successWithResolvedTimeInterval$(resolvedTimeInterval: number): _INTimeIntervalResolutionResult;
    /**
     * This resolution result is to ask Siri to confirm if this is the time interval value with which the user wants to continue.
     */
    static confirmationRequiredWithTimeIntervalToConfirm$(timeIntervalToConfirm: number): _INTimeIntervalResolutionResult;
}
